Package pacManReloaded.common.model

## Class Map

- java.lang.Object
- - pacManReloaded.common.model.Map

-     public class Map
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<Ball>` | `Balls` |
    `Gate` | `gate` |
    `java.util.List<PowerBall>` | `PowerBalls` |
    `java.util.List<Wall>` | `Spawn` |
    `int` | `tSize` |
    `java.util.List<Wall>` | `Walls` |
    `int` | `xSize` |
    `int` | `ySize` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Map()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getMapSize()` |
    `java.lang.Object` | `getObject​(java.awt.geom.Point2D.Float actorPos)` | return object that is at the position
    `boolean` | `isFree​(float f, float yStart)` | check position is free of objects
    `java.awt.geom.Point2D.Float` | `Pos2DisplayPos​(java.awt.geom.Point2D.Float point)` |
    `void` | `removeBall​(Ball o)` |
    `void` | `removePowerBall​(PowerBall o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Walls

          public java.util.List<Wall> Walls

    - #### Spawn

          public java.util.List<Wall> Spawn

    - #### PowerBalls

          public java.util.List<PowerBall> PowerBalls

    - #### Balls

          public java.util.List<Ball> Balls

    - #### gate

          public Gate gate

    - #### xSize

          public int xSize

    - #### ySize

          public int ySize

    - #### tSize

          public int tSize

  - ### Constructor Detail

    - #### Map

          public Map()
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### isFree

          public boolean isFree​(float f,
                                float yStart)

      check position is free of objects

    - #### getObject

          public java.lang.Object getObject​(java.awt.geom.Point2D.Float actorPos)

      return object that is at the position

    - #### Pos2DisplayPos

          public java.awt.geom.Point2D.Float Pos2DisplayPos​(java.awt.geom.Point2D.Float point)

    - #### getMapSize

          public float getMapSize()

    - #### removePowerBall

          public void removePowerBall​(PowerBall o)

    - #### removeBall

          public void removeBall​(Ball o)